<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Dictionary</title>
    <link rel="stylesheet" type="text/css"
          th:href="@{/css/main.css}" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta2/css/all.min.css" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
</head>
<body>
<header>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" href="/">Dictionary</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarColor01">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" th:href="@{/dictionary/list}">Danh sách từ<span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </nav>
</header>
<div class="wrapper">
    <div class="tudien">
        <form method="post" th:action="@{'/dictionary/search'}" th:object="${detailForm}">
            <div class="input_area">
                <input onkeyup="check()" th:field="*{word.wordTarget}" type="text" class="input_box" autocomplete="off" value="" id="txtSearchBox" >
                <select id="searchOptions" class="options">
                    <option selected="" value="">Anh - Việt</option>
                </select>
                <button id="searchButton" type="submit" hidden="hidden"></button>
                <a href="#" id="search" onclick="submitSearch()">Tra từ</a>
            </div>
        </form>
    </div>
    <br>
    <br>
    <b th:if="${#lists.isEmpty(result) and isResult == true}">Không tìm thấy trong Database!!!</b>
    <br>
    <br>
    <div th:if="${not #lists.isEmpty(relateWords)}">
        Từ khoá có thể bạn muốn tìm:
        <br>
        <ul th:each="wordRelate: ${relateWords}">
            <li>
                <a th:href="@{'/dictionary/search/' + ${wordRelate.wordTarget}}" th:text="${wordRelate.wordTarget}"></a></li>
        </ul>
    </div>
    <div th:if="${result}" id="slide_show" class="details">
        <button id="audioButton" onclick="playAudio()" type="button"><i class="fas fa-microphone"></i></button>
        <audio id="myAudio">
            <source th:src="@{'http://api.voicerss.org/?key=80d16d8349a64fb2a28f163294e205b0&hl=en-us&c=MP3&f=16khz_16bit_stereo&src=' + ${result.wordTarget} }" type="audio/ogg">
        </audio>
        <div class="world" style="border-bottom:#CCCCCC solid 1px">
            <div id="find_word_54748" class="fl word_tab_title word_tab_title_0">
                <h2 class="fl"><span style="color: blue;" th:text="${result.wordTarget}"></span> <span class="color-black" th:text="${'/' + result.spelling + '/'}"></span>&nbsp;&nbsp;<span class="color-orange"></span></h2>
            </div>
            <div class="fr tab slide_select">
                <a href="javascript:;" class="av active" rel="0">Anh-Việt</a>
            </div>
            <div class="clr"></div>
        </div>
        <div id="content_selectable" class="slide-content">
            <ul class="slide_img" style="position: relative; overflow: hidden; height: 2621px;">
                <li class="slide_content" rel="0">
                    <div class="content">
                        <div class="bg-grey bold font-large m-top20"><span th:text="${result.wordType}"></span></div>
                        <div class="green bold margin25 m-top15" th:text="${result.wordExplain}"></div>
                    </div>
                </li>
            </ul>
        </div>
    </div>
</div>
</body>
<script>
    function submitSearch() {
        $("#searchButton").click()
    }

    let x = document.getElementById("myAudio");

    function playAudio() {
        x.play();
    }
</script>
</script>
</html>
